import state from './store/state'
import getters from './store/getters'
import mutations from './store/mutations'
import actions from './store/actions'

const namespaced = true

export default ({Vue, axios, echo}) => {
    return {
        state,
        getters,
        mutations: mutations({Vue}),
        actions: actions({Vue, axios, echo}),
        namespaced
    }
}