export default {
    find: (state) => {
        return (collection, id) => {
            if (typeof state[collection] === 'undefined') {
                return id instanceof Array ? [] : null
            }

            if (id instanceof Array) {
                return id.map((id) => {
                    return state[collection].find(item => id == item.id)
                })
            }
            
            return state[collection].find(item => id == item.id)
        }
    }
}